Subject: Re: I-D Action: draft-chown-6man-tokenised-ipv6-identifiers-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Jul 2011 13:12:18 +1200

Hi,

In some ways I'd rather defer discussion of this draft until 6renum has
clarified the requirements somewhat. However, two comments for now:

1. I don't find that this draft, admittedly preliminary, clearly defines
what a tokenised IID is. If it just means a configured IID, why not say so?

2. I see a major security issue in that a malicious host could apparently
give itself any IID that it wants - in the example in the draft, any host
could declare itself to be the DNS server. There needs to be an anti-spoofing
mechanism.

Regards
   Brian Carpenter